[SciPy-user] Problem loading Scipy on MacOS X, missing module.

Louis Pecora pecora at anvil.nrl.navy.mil
Mon Oct 9 12:45:46 CDT 2006


I recently loaded the SuperPack for Scipy 0.5.1 on the MacOS 10.4 which 
included MacPython 2.4.  All packages were loaded:

scipy-0.5.0.2095-py2.4-macosx10.4.mpkg
PyMC-1.0_beta-py2.4-macosx10.4.mpkg
numpy-1.1.2881-py2.4-macosx10.4.mpkg
matplotlib-0.87.4_r2592-py2.4-macosx10.4.mpkg
ipython-0.7.2-py2.4-macosx10.4.mpkg


My problem.  When I run pythonw in the Terminal and import scipy I get 
the following error message:

 >>> import scipy
import linsolve.umfpack -> failed: Failure linking new module: 
/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/sparse/sparsetools.so: 
Library not loaded: /usr/local/lib/libg2c.0.dylib
  Referenced from: 
/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/sparse/sparsetools.so
  Reason: image not found

So, I guess it can't find a module (so it says), but I'm a bit lost in 
the verbosity of the error message.  Can anyone tell me what the problem 
is? 

Thanks for any help.

-- 
Cheers,

Lou Pecora

Code 6362
Naval Research Lab
Washington, DC  20375
USA
Ph:  +202-767-6002
email:  pecora at anvil.nrl.navy.mil



More information about the SciPy-user mailing list